package org.beliaj.knots.io.impl;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *     .
 *    .
 * @author Julia
 *
 */
public class BasicFileFilter extends FileFilter {
	@Override
	public boolean accept(File f){
		if (f.isDirectory()) {
			return true;
		}
		
		String str = f.getName();
		str.toLowerCase();
		int pos = str.lastIndexOf(".");
		
		if (str.substring(pos + 1).equals(BasicDiagramReader.getFilter())){
			return true;
		}
		return false;
	}

	public boolean accept(String str){
		str.toLowerCase();
		int pos = str.lastIndexOf(".");
		
		if (str.substring(pos + 1).equals(BasicDiagramReader.getFilter())){
			return true;
		}
		return false;
	}
	
	@Override
	public String getDescription() {
		return BasicDiagramReader.getDescription();
	}
	
	
}