package org.beliaj.knots.painters;

import java.awt.Graphics2D;

import javax.swing.event.ChangeListener;
import javax.swing.event.MouseInputListener;

import org.beliaj.knots.diagram.IKnotDiagram;

public interface IPainter {

	void repaint(Graphics2D g);
	
	int getWidth();
	
	int getHeight();
	
	void increase(Double coeff);
	
	MouseInputListener getMouseListener();
	
	public void setCurrentAction(IEnum number);

	IKnotDiagram getKnotDiagram();

	boolean isActionPossible(IEnum actionCode);

	IEnum getCurrentAction();

	void viewDirections();

	boolean hasDirections();

	void addHistoryListener(ChangeListener listener);

}
